Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.phase.event
Interface SolverPhaseLifecycleListener

All Superinterfaces:
  EventListener, SolverLifecycleListener

All Known Subinterfaces:
  BruteForceSolverPhase, CustomSolverPhase, EntitySelector, GreedyFitSolverPhase, LocalSearchSolverPhase, MoveSelector, PillarSelector, Selector, SolverPhase, SubChainSelector, Termination, ValueSelector

All Known Implementing Classes:
  AbstractCachingEntitySelector, AbstractCachingMoveSelector, AbstractCachingValueSelector, AbstractCompositeTermination, AbstractEntitySelector, AbstractMoveSelector, AbstractSelector, AbstractSolverPhase, AbstractTermination, AbstractValueSelector, AndCompositeTermination, BasicPlumbingTermination, BestSolutionRecaller, CachingEntitySelector, CachingMoveSelector, CachingValueSelector, CartesianProductMoveSelector, ChangeMoveSelector, CompositeMoveSelector, DecreasingDifficultyEntitySelector, DefaultBruteForceSolverPhase, DefaultCustomSolverPhase, DefaultGreedyFitSolverPhase, DefaultLocalSearchSolverPhase, DefaultSubChainSelector, FilteringEntitySelector, FilteringMoveSelector, FromSolutionEntitySelector, FromSolutionPropertyValueSelector, GenericMoveSelector, MoveIteratorFactoryToMoveSelectorBridge, MoveListFactoryToMoveSelectorBridge, OrCompositeTermination, PhaseToSolverTerminationBridge, PillarSwapMoveSelector, PlanningEntitySelector, PlanningValueSelector, PlanningValueWalker, PlanningVariableWalker, ProbabilityEntitySelector, ProbabilityMoveSelector, ProbabilityValueSelector, SameValuePillarSelector, ScoreAttainedTermination, SelectionCacheLifecycleBridge, ShufflingEntitySelector, ShufflingMoveSelector, ShufflingValueSelector, SolverPhaseLifecycleListenerAdapter, StepCountTermination, SubChainChangeMoveSelector, SubChainSwapMoveSelector, SwapMoveSelector, TimeMillisSpendTermination, UnimprovedStepCountTermination, UnionMoveSelector

    public interface SolverPhaseLifecycleListener

extends SolverLifecycleListener

Method Summary
`void` | `phaseEnded(AbstractSolverPhaseScope solverPhaseScope)`
`void` | `phaseStarted(AbstractSolverPhaseScope solverPhaseScope)`
`void` | `stepEnded(AbstractStepScope stepScope)`
`void` | `stepStarted(AbstractStepScope stepScope)`

Methods inherited from interface org.drools.planner.core.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Method Detail

### phaseStarted

    void phaseStarted(AbstractSolverPhaseScope solverPhaseScope)

### stepStarted

    void stepStarted(AbstractStepScope stepScope)

### stepEnded

    void stepEnded(AbstractStepScope stepScope)

### phaseEnded

    void phaseEnded(AbstractSolverPhaseScope solverPhaseScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.